Update a Donor Phone Number
curl --request PUT \
--url https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"isPrimary": true,
"value": "<string>",
"isOptedIn": true,
"countryCode": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isPrimary: true, value: '<string>', isOptedIn: true, countryCode: '<string>'})
};
fetch('https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}"
payload = {
"isPrimary": True,
"value": "<string>",
"isOptedIn": True,
"countryCode": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"isOptedIn\": true,\n \"countryCode\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'isPrimary' => true,
'value' => '<string>',
'isOptedIn' => true,
'countryCode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"isOptedIn\": true,\n \"countryCode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"isOptedIn\": true,\n \"countryCode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}';
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isPrimary: true, value: '<string>', isOptedIn: true, countryCode: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 300102,
"donorId": 200234,
"typeDisplay": "Mobile Phone",
"value": "(555) 012-3401",
"secondaryValue": null,
"isPrimary": true,
"isOptedIn": true,
"isValid": true,
"isEmail": false,
"isPhone": true,
"isBounced": false,
"countryCode": "1"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"email": [
"A valid email address is required."
],
"lastName": [
"The lastName field is required."
]
},
"instance": "/api/Donor/200234/phone/300102"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Donor/{id}/phone/{phoneId}"
}Donor
Update a Donor Phone Number
Updates a phone number on a donor.
PUT
https://prod-api.raisedonors.com
/
api
/
Donor
/
{id}
/
phone
/
{phoneId}
Update a Donor Phone Number
curl --request PUT \
--url https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"isPrimary": true,
"value": "<string>",
"isOptedIn": true,
"countryCode": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isPrimary: true, value: '<string>', isOptedIn: true, countryCode: '<string>'})
};
fetch('https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}"
payload = {
"isPrimary": True,
"value": "<string>",
"isOptedIn": True,
"countryCode": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"isOptedIn\": true,\n \"countryCode\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'isPrimary' => true,
'value' => '<string>',
'isOptedIn' => true,
'countryCode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"isOptedIn\": true,\n \"countryCode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isPrimary\": true,\n \"value\": \"<string>\",\n \"isOptedIn\": true,\n \"countryCode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://prod-api.raisedonors.com/api/Donor/{id}/phone/{phoneId}';
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isPrimary: true, value: '<string>', isOptedIn: true, countryCode: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 300102,
"donorId": 200234,
"typeDisplay": "Mobile Phone",
"value": "(555) 012-3401",
"secondaryValue": null,
"isPrimary": true,
"isOptedIn": true,
"isValid": true,
"isEmail": false,
"isPhone": true,
"isBounced": false,
"countryCode": "1"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"email": [
"A valid email address is required."
],
"lastName": [
"The lastName field is required."
]
},
"instance": "/api/Donor/200234/phone/300102"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Donor/{id}/phone/{phoneId}"
}Send its full representation, since the request replaces the stored values; to change only a few fields, use Partially Update a Donor Phone Number.
Authorizations
Path Parameters
Body
application/jsontext/jsonapplication/*+json
The phone number request.
Represents a contact method request.
Response
OK
Represents a donor contact method model.
Was this page helpful?